# Cinc

A ruby client for the "Commander In Chief" (Cinc) 3rd party RCP server that
runs on an instance of the Digital Combat Simulator (DCS) game.

See https://gitlab.com/cinc/cinc-server/tree/master/src for more information on
the Cinc server.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'cinc'
```

And then execute:

    $ bundle install

Or install it yourself as:

    $ gem install cinc

## Usage

```
require 'cinc'

client = Cinc::Client.new("hostname", 9001)
client.connect
array_of_airbase_hashes = client.get_airbases

```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run
`rake test` to run the tests. You can also run `bin/console` for an interactive
prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To
release a new version, update the version number in `version.rb`, and then run
`bundle exec rake release`, which will create a git tag for the version, push
git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on Gitlab at https://gitlab.com/cinc/cinc-ruby-client


## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
